Name:	mate-session-manager
Version:	1.4.0
Release:	1%{?dist}
Summary:	MATE Desktop session manager
License:	LGPLv2+ andPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	mate-conf-devel gstreamer-plugins-base-devel upower-devel mate-polkit-devel
Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires:	mate-conf


%description
MATE Desktop session manager

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-schemas-install --enable-gstreamer --enable-profiles --enable-polkit
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}
	desktop-file-install								\
	--remove-category="MATE"							\
	--add-category="X-Mate"								\
	--remove-only-show-in="MATE"							\
	--add-only-show-in="X-MATE"							\
	--delete-original								\
	--dir=%{buildroot}%{_datadir}/applications					\
%{buildroot}%{_datadir}/applications/mate-session-properties.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-session-properties.desktop

%pre
%mateconf_schema_prepare mate-session


%post
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :
%mateconf_schema_upgrade mate-session


%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
	/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :
fi
%mateconf_schema_remove mate-session

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_bindir}/mate-session
%{_bindir}/mate-session-properties
%{_bindir}/mate-session-save
%{_bindir}/mate-wm
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mate-session.schemas
%{_datadir}/applications/mate-session-properties.desktop
%{_datadir}/mate-session/
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-session-properties.svg
%{_datadir}/xsessions/mate.desktop

%changelog
* Thu Jul 12 2012 Dan Mashal <dan.mashal@gmail.com>
-Initial build

